<?php

declare(strict_types=1);

namespace App\Helper\OmiPay\Request;

class GetExchangeRateRequest extends AbstractRequest
{
    protected $uri = '/omipay/api/v2/GetExchangeRate';

    public function setCurrency($currency) {
        $this->currency = $currency;
    }

    public function setBaseCurrency($baseCurrency) {
        $this->base_currency = $baseCurrency;
    }

    public function setPlatform($platform) {
        $this->platform = $platform;
    }

    public function setLanguage($language) {
        $this->language = $language;
    }
}