<?php

namespace App\Scopes;

trait UserScopes
{
    public function scopeOfConditions($query, $params)
    {
        if (!empty($params['account'])) {
            $query->where('account', $params['account']);
        }
        if (!empty($params['id'])) {
            $query->where('id', $params['id']);
        }
        return $query;
    }
}