<?php

declare(strict_types=1);

namespace App\Helper\OmiPay\Request;

class MakeJSAPIOrderRequest extends AbstractRequest
{
    protected $uri = '/omipay/api/v2/MakeJSAPIOrder';

    public function setOrderName($orderName) {
        $this->order_name = $orderName;
    }

    public function setOutOrderNo($outOrderNo) {
        $this->out_order_no = $outOrderNo;
    }

    public function setCurrency($currency) {
        $this->currency = $currency;
    }

    public function setAmount($amount) {
        $this->amount = $amount;
    }

    public function setNotifyUrl($notifyUrl) {
        $this->notify_url = $notifyUrl;
    }

    public function setRedirectUrl($redirectUrl) {
        $this->redirect_url = $redirectUrl;
    }

    public function setDirectPay($directPay) {
        $this->direct_pay = $directPay;
    }

    public function setShowPcPayUrl($showPcPayUrl) {
        $this->show_pc_pay_url = $showPcPayUrl;
    }

    public function setONumber($oNumber) {
        $this->o_number = $oNumber;
    }

    public function setPosNo($posNo) {
        $this->pos_no = $posNo;
    }
}