<?php

declare(strict_types=1);

namespace App\Helper\OmiPay\Request;

class RefundRequest extends AbstractRequest
{
    protected $uri = '/omipay/api/v2/Refund';

    public function setOrderNo($orderNo) {
        $this->order_no = $orderNo;
    }

    public function setOutRefundNo($outRefundNo) {
        $this->out_refund_no = $outRefundNo;
    }

    public function setAmount($amount) {
        $this->amount = $amount;
    }
}