<?php

declare(strict_types=1);

namespace App\Helper\OmiPay;

class Result
{
    private $data;

    public function __construct($data)
    {
        $this->data = $data;
    }

    public function isSuccess() {
        return $this->data['return_code'] == 'SUCCESS';
    }

    public function get($key) {
        return $this->data[$key] ?? null;
    }
}