<?php

declare(strict_types=1);

use App\Controller\Payment\NotifyController;
use App\Controller\Payment\PageController;
use App\Controller\Payment\PayController;
use Hyperf\HttpServer\Router\Router;

Router::get('/favicon.ico', function () {
    return 'sdfsd';
});

Router::addGroup('/payment',function () {
    Router::post('/jsapi', [PayController::class, 'jsapi']);
    Router::get('/page', [PageController::class, 'index']);
    Router::addRoute(['GET', 'POST'], '/notify', [NotifyController::class, 'index']);
});
